# Prevent stripping
%define __spec_install_post /usr/lib/rpm/brp-compress

Summary:	Adobe Flash Player Plugin
Name:		flash-player-plugin
Version:	11.2.202.637
Release:	%mkrel 1
License:	Proprietary
Group:		Networking/WWW
URL:		http://www.adobe.com/downloads/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Conflicts:	swfdec-mozilla

%description
Adobe Flash Player plugin for all web browsers including
Opera.

%prep
%setup -T -n %{name} -c

%install
rm -rf %buildroot
mkdir -p %buildroot

%define my_package install_flash_player_11_linux.i386.tar.gz


#download source
cd $RPM_SOURCE_DIR
wget -nc "http://fpdownload.adobe.com/get/flashplayer/pdc/%version/%{my_package}" 

# extract only libflashplayer.so
mkdir -p %buildroot/usr/lib/mozilla/plugins
tar -zxvf $RPM_SOURCE_DIR/%{my_package} libflashplayer.so
install -m 0755 libflashplayer.so %buildroot/usr/lib/mozilla/plugins
cd ..


%posttrans
if [ -e /etc/adobe/mms.cfg ] ; then
mv /etc/adobe/mms.cfg /opt/mms.cfg
fi


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig

%files
%defattr(-,root,root,-)
/usr/lib/mozilla/plugins/*


%changelog
* Thu Oct 12 2016 detipco <detipco> 11.2.202.637-1 2016
- update

* Wed Oct 05 2016 detipco <detipco> 11.2.202.635-1 2016
- update


